Bug 225635 - x11-toolkits/gtksourceview3 and all dependent ports need compiler:c11 and USE_CSTD=c11 (or gnu11)
Summary: x11-toolkits/gtksourceview3 and all dependent ports need compiler:c11 and USE...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-02 17:05 UTC by Justin Hibbits
Modified: 2018-03-25 21:50 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Patch for all ports tested (4.38 KB, patch)
2018-02-20 03:15 UTC, Justin Hibbits
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Hibbits freebsd_committer 2018-02-02 17:05:33 UTC
x11-toolkits/gtksourceview3 uses C11 features, such as redefined identical typedefs.  This leads to errors such as:

/usr/local/include/gtksourceview-3.0/gtksourceview/gtksourcetag.h:43: error: redefinition of typedef 'GtkSourceTag'
/usr/local/include/gtksourceview-3.0/gtksourceview/gtksourcetypes.h:63: error: previous declaration of 'GtkSourceTag' was here

All dependent ports are affected.
Comment 1 Justin Hibbits freebsd_committer 2018-02-20 03:15:13 UTC
Created attachment 190817 [details]
Patch for all ports tested

This is a patch against all ports I've built with gtksourceview3, adding the compiler USES incantation.
Comment 2 commit-hook freebsd_committer 2018-03-25 21:49:32 UTC
A commit references this bug:

Author: brd
Date: Sun Mar 25 21:48:33 UTC 2018
New revision: 465547
URL: https://svnweb.freebsd.org/changeset/ports/465547

Log:
  Fix build on ppc64 by specifying what is needed from the compiler.

  PR:		225635
  Submitted by:	jhibbits
  Approved by:	maintainer timeout

Changes:
  head/editors/gedit/Makefile
  head/editors/gedit-plugins/Makefile
  head/editors/pluma/Makefile
  head/math/gnome-calculator/Makefile
  head/x11/mate-applets/Makefile
  head/x11-fm/sushi/Makefile
  head/x11-toolkits/gtksourceview3/Makefile